## komi 1.04

=== Makefile ===
# Makefile for Komi
# Allan Crossman

# Where the graphics and sound files go...
DATAPATH=/usr/local/share/komidata/

# Where to put the binary...
BINPATH=/usr/local/bin/

# Where to put the manpage...
MANPATH=/usr/local/man/man6/

MIXER=-lSDL_mixer
SDL_LIB=$(shell sdl-config --static-libs) $(MIXER)

CFLAGS=-Wall -pedantic -std=c99 -O2 \
	$(shell sdl-config --cflags) \
	-DDATAPATH=\"$(DATAPATH)\"

all:	komi

clean:
	-rm komi
	-rm *.o

install:
	install -d $(DATAPATH)
	cp -R komidata/* $(DATAPATH)
	chmod -R 644 $(DATAPATH)
	chmod 755 $(DATAPATH)
	install -d $(BINPATH)
	cp komi $(BINPATH)
	chmod 755 $(BINPATH)komi
	install -d $(MANPATH)
	cp komi.6 $(MANPATH)komi.6

komi:	komi.o
	$(CC) $(CFLAGS) komi.o -o komi $(SDL_LIB)

komi.o:	komi.c

=== debian/changelog ===
komi (1.04-6) unstable; urgency=medium

  * Import on Salsa inside Games Team (Closes: #1090048)
  * Remove old Debian menu entry
  * Switch to DH sequencer
  * Enable rootless build (Closes: #1089355)
  * Bump Standards-Version to 4.7.0, it's fresh
  * Bump d/watch to v4

 -- Alexandre Detiste <tchet@debian.org>  Mon, 23 Dec 2024 01:32:37 +0100

komi (1.04-5.1) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1007427)
  * d/copyright: Convert to machine-readable format.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #956023)

 -- Bastian Germann <bage@debian.org>  Wed, 21 Feb 2024 12:38:22 +0000

komi (1.04-5) unstable; urgency=low

  * Fixed problem in Makefile that caused komi to link against many libraries
    unnecessarily, and in some cases causes komi to fail to build. Fixes
    shlibdeps warnings. (Closes: #655803)
  * Debian rules no longer ignores make clean error. Fixes lintian warning.
  * Copyright file now refers to GPL-2, rather than symlink GPL. Fixes lintian
    pedantic warning.
  * Removed unused and outdated debian/komi.6. Continue to use upstream man
    page.
  * Fixed man page warnings. Fixes lintian warning.
  * Fixed several printf format warnings on amd64 and other architectures.
  * Description no longer starts with the article, "a".
  * Removed unnecessary code from rules, and other misc cosmetic fixes
  * Added build-arch and build-indep targets to rules.
  * Rules file now respects DEB_BUILD_OPTIONS noopt and includes debugging
    symbols for nostrip.
  * Rules file now calls dh_prep instead of deprecated dh_clean -k. Fixes
    lintian warning.
  * Upgrade debhelper requirements and version compatibility to 8
  * Set debian/source/format to 1.0. Fixes lintian info warning.
  * Set Standards-Version to 3.9.2 (no changes needed)
  * Removed duplicate entries from changelog

 -- Brandon Barnes <winterknight@nerdshack.com>  Wed, 18 Jan 2012 13:54:00 -0800

komi (1.04-4) unstable; urgency=low

  * Fixed watch file (Closes: #453575)
  * Added pixmap to menu file
  * Menu file uses section Games/Action instead of Games/Arcade.
      Set Standards-Version to 3.8.0
  * Minor cleanup in control, dirs, and rules files

 -- Brandon Barnes <winterknight@nerdshack.com>  Sat, 5 Jul 2008 10:43:00 -0700

komi (1.04-3) unstable; urgency=low

  * New maintainer (Closes: #390824)
  * Mouse no longer required to play game from menu (that was silly).
  * Now, you get a "last life" warning even when playing in windowed mode.

 -- Brandon Barnes <winterknight@nerdshack.com>  Thu, 15 Feb 2007 23:46:00 -0800

komi (1.04-2) unstable; urgency=low

  * QA Upload.
  * Set maintainer to Debian QA Group.
  * Removed list of uploaders.
  * Set Standards-Version to 3.7.2.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 23 Oct 2006 18:56:15 +1000

komi (1.04-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * new upstream release
  * new watch file
  * home site url in description
  * compat 5

  [ Alexander Schmehl ]
  * removed WINDOWS.txt from docs

 -- Alexander Schmehl <tolimar@debian.org>  Wed, 29 Mar 2006 22:59:58 +0200

komi (1.03-5) unstable; urgency=medium

  * Fix Makefile so the game links to SDL dynamically, rather than
    statically.  Thanks to Thierry Reding for the diagnosis + patch.
    (Closes: #349555)

 -- Steve Kemp <skx@debian.org>  Thurs, 22 Jan 2006 14:22:11 +0000

komi (1.03-4) unstable; urgency=low

  * Moved the project to the Alioth 'pkg-games' SVN repository.
        http://wiki.debian.org/Games/SVN
  * Updated the maintainer to the games-devel mailing list.
        http://lists.alioth.debian.org/mailman/listinfo/pkg-games-devel

 -- Steve Kemp <skx@debian.org>  Sunday,  22 January 2006 10:48:06 +0000

komi (1.03-3) unstable; urgency=low

  * Build against libaa1-dev/libaa1 instead of  aalib1.
    (Closes: #320884)

 -- Steve Kemp <skx@debian.org>  Thu, 04 Aug 2005 15:48:55 +0000

komi (1.03-2) unstable; urgency=low

  * Updated standards version to 3.6.2 (no changes).
  * Removed commented out debhelper lines from debian/rules
  * Changed menu entry:
     * Install to /usr/share/menu
     * Moved to section 'Games/Arcade'
     * Capitalise 'komi'
    (Closes: #316280)

 -- Steve Kemp <skx@debian.org>  Fri, 01 Jul 2005 02:04:57 +0000

komi (1.03-1) unstable; urgency=low

  * New upstream release.

 -- Steve Kemp <skx@debian.org>  Mon, 12 Jul 2004 15:37:21 +0000

komi (1.01-1) unstable; urgency=low

  * Uploaded to the Debian archives.
    (Closes: #257166)
  * Changed maintainer address to my @debian.org email.
  * Changed the saving of the preferences to the users home directory,
    this will be folded in upstream for the next release :)

 -- Steve Kemp <skx@debian.org>  Fri, 2 Jul 2004 18:47:15 +0000

komi (0.8b-2) unstable; urgency=low

  * Move manpage into section 6.
  * Updated manpage.

 -- Steve Kemp <steve@steve.org.uk>  Fri, 11 Jun 2004 15:23:02 +0000

komi (0.8b-1) unstable; urgency=low

  * Initial package.
  * Moved binary to /usr/games/komi
  * Moved data to /usr/share/games/komi
  * Added manpage.

 -- Steve Kemp <steve@steve.org.uk>  Thurs,  10 Jun 2004 21:40:11 +0000

=== debian/control ===
Source: komi
Section: games
Maintainer: Brandon Barnes <winterknight@nerdshack.com>
Priority: optional
Build-Depends: debhelper-compat (= 13), libsdl-mixer1.2-dev, libsdl1.2-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: http://komi.sf.net
Vcs-Git: https://salsa.debian.org/games-team/komi.git
Vcs-Browser: https://salsa.debian.org/games-team/komi

Package: komi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single player arcade game with Komi the Space Frog!
 Komi is a space frog, and your aim in this single player arcade
 game is to feed him by capturing food with your giant tongue.
 .
 Avoid hitting the energy barriers and other nasties as you
 try to eat all the food.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- DATAPATH=/usr/share/games/komi/

override_dh_auto_install:
	#dh_install debian/komi.xpm usr/share/pixmaps
	dh_auto_install -- BINPATH=$(CURDIR)/debian/komi/usr/games/ DATAPATH=$(CURDIR)/debian/komi/usr/share/games/komi/ MANPATH=$(CURDIR)/debian/komi/usr/share/man/man6/

=== debian/watch ===
version=4
http://sf.net/komi/komi-(.*)\.tar\.gz
